%define name freedup
%define version 0.3
%define release 0
Name:				%{name}
Summary:			Links identical files to save space.
Version:			%{version}
Release:			%{release}
Copyright:			GPL
Packager:			Andreas Neuper<Andreas@Neuper.de>
Group:				Applications/File
Source:				http://software.neuper.de/%{name}/%{name}-%{version}.tgz
Buildarch:			i586
Vendor:				Andreas Neuper<Andreas@Neuper.de>
URL:				http://software.neuper.de/%{name}/
BuildRoot:			/tmp/%{name}-broot


%description
Freedup links identical files to save space. Freedup walks through one 
or more file system trees and hardlinks files if the belong to the same
device and symlinks them in case the devices differ and absolute paths
are given.

For files that are generally read from and not written to, this provides
significant space savings particularily to multimedia content.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/freedup-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	cp -p freedup $RPM_BUILD_ROOT/usr/bin/freedup
	install -d $RPM_BUILD_ROOT/usr/share/man/man1
	cp -p freedup.1.gz $RPM_BUILD_ROOT/usr/share/man/man1/freedup.1.gz
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/freedup-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1



%files
%defattr(-,root,root)
%attr(755,root,root)		/usr/bin/freedup
%doc				{TODO,README,ChangeLog}
%{_mandir}/man1/freedup.1.gz


%changelog
* Thu Aug 22 2007 Andreas Neuper <Andreas@Neuper.de>
- Enhancements
  + splitted user and group comparison into separate tests
- Bugfixes 
  + argument position is now less important than existing link count
    This was needed to avoid alternating link replacements
  + stop when number of changes gets constant :-(healing symptoms)
  + do not reset file counter when deciding to realloc()

* Thu Aug 21 2007 Andreas Neuper <Andreas@Neuper.de>
- Enhancements
  + call "find" only once
  + allow input from stdin 
  + some code cleaning
  + added man page
  + added more tests
  + improved Makefile
- Bugfixes 
  + added -a to getopt string
  + report correct version
  + corrected basename macro

* Thu Aug 16 2007 Andreas Neuper <Andreas@Neuper.de>
- Initial Release
